## libguestfs 1.24.5

=== debian/changelog ===
libguestfs (1:1.24.5-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Jan 2014 21:53:14 +0100

libguestfs (1:1.24.4-1) unstable; urgency=low

  * New upstream version
  * No longer FTBFS (Closes: #735756)
  * Replaced dependencies: module-init-tools -> kmod (Closes: #733698)
  * Bumped Standards-Version
  
 -- Hilko Bengen <bengen@debian.org>  Sun, 19 Jan 2014 17:06:26 +0100

libguestfs (1:1.24.3-1) unstable; urgency=low

  * New upstream version
  * Rebased patch queue
  * Simplified debian/rules
  * Added Golang bindings package
  * Enabled parallel builds

 -- Hilko Bengen <bengen@debian.org>  Sun, 22 Dec 2013 14:41:38 +0100

libguestfs (1:1.24.2-1) unstable; urgency=low

  * New upstream version
  * Added fix for installing manpages
  * Merged guestmount into libguestfs-tools package (Closes: #729156)

 -- Hilko Bengen <bengen@debian.org>  Sat, 07 Dec 2013 18:00:59 +0100

libguestfs (1:1.24.1-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Nov 2013 21:19:10 +0100

libguestfs (1:1.23.33-1) experimental; urgency=low

  * New upstream development version
  * Added patch to fix out-of-tree build
  * Updated (build-)dependencies
  * Integrated guestfish into libguestfs-tools package (Closes: #721938)
  * Added option to generate Java 6 compatible bytecode
  * Detect Ruby 2 if available
  * Automatically detect available Lua versions
  * Install shared object for Ruby bindings from multiarch directory
  * Updated Javadoc install path
  * Updated install rule for supermin image components
  * Updated symbols file

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Oct 2013 22:43:50 +0200

libguestfs (1:1.23.7-1) experimental; urgency=low

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Sat, 06 Jul 2013 10:52:43 +0200

libguestfs (1:1.23.6-1) experimental; urgency=low

  * New upstream development version
  * Rebased patch queue
  * Since 1.23.5, Augeas >= 1.0.0 is required.
  * Added symbols file for libguestfs0

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Jun 2013 17:14:08 +0200
