## libguestfs 1.26.7

=== debian/changelog ===
libguestfs (1:1.26.7-1ubuntu2) utopic; urgency=medium

  * debian/rules: Adjust qemu arch hack to accomodate powerpc64le.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 26 Aug 2014 14:28:45 -0600

libguestfs (1:1.26.7-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - switch to Ubuntu kernel meta-package names.
  * Disable quickchecks. Requires a readable kernel image.
  * Don't build the libguestfs-gfs2 package. The gfs2-utils build
    dependency is not installable on the buildds.
  * Build-depend on systemtap-sdt-dev on all architectures.
  * Configure with --disable-silent-rules.
  * Add qemu build dependencies for arm64 and ppc64el.
  * Drop build dependency on grub2, only needed for the quickchecks,
    which are disabled anyway.
  * Build depend on zfs-fuse on armhf and ppc64el as well.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Aug 2014 14:32:21 +0200

libguestfs (1:1.26.7-1) unstable; urgency=medium

  * New upstream version
  * Fixed filter expression for quickcheck. Argh.

 -- Hilko Bengen <bengen@debian.org>  Thu, 31 Jul 2014 23:52:00 +0200

libguestfs (1:1.26.6-2) unstable; urgency=medium

  * Enough! Only assume that qemu will reliably (no random hangs,
    segfaults, delays beyond 10min) boot a kernel on i386, amd64 buildds.

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Jul 2014 17:25:47 +0200

libguestfs (1:1.26.6-1) unstable; urgency=medium

  * New upstream version
  * Added patch that disables --dtb on armel

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Jul 2014 14:09:54 +0200

libguestfs (1:1.26.5-3) unstable; urgency=medium

  * Don't hardcode /usr/lib/perl5 in libguestfs-perl.install (Closes:
    #755109)

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Jul 2014 23:11:13 +0200

libguestfs (1:1.26.5-2) unstable; urgency=medium

  * Don't attempt to run make quickcheck on all architectures. (Closes:
    #754615)
  * Fixed the code that extracts dependencies from
    .../guestfs/supermin.d/packages-* lists. This should also take care of
    the iproute legacy package. (Closes: #752017)

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Jul 2014 12:48:58 +0200

libguestfs (1:1.26.5-1) unstable; urgency=medium

  * New upstream version
  * Dropped half a patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Jul 2014 13:56:12 +0200

libguestfs (1:1.26.3-2) unstable; urgency=medium

  * Removed dependency on legacy iproute package (Closes: #752017)

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Jun 2014 23:47:09 +0200

libguestfs (1:1.26.3-1) unstable; urgency=medium

  * New upstream version
  * Dropped patches that have been integrated upstream
  * Deal with changed syslinux paths (Closes: #746748)
  * Demoted some recommendations of appliance bits to suggestions (Closes:
    #747440)

 -- Hilko Bengen <bengen@debian.org>  Sun, 25 May 2014 10:37:19 +0200

libguestfs (1:1.26.2-1) unstable; urgency=low

  * New upstream version
  * Mention Gnulib and its license in copyright file (Closes: #747402)
  * Dropped patches that have been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Thu, 08 May 2014 18:01:38 +0200

libguestfs (1:1.26.1-3) unstable; urgency=medium

  * Split off specific dependencies from libguestfs0 (Closes: #648291,
    #681889, #736597, #742944)
  * Added appliance packagelist fix
  * Run "make quickcheck" only once

 -- Hilko Bengen <bengen@debian.org>  Wed, 07 May 2014 23:30:26 +0200

libguestfs (1:1.26.1-2) unstable; urgency=medium

  * On powerpc architecture, use qemu-system-ppc64 for -M pseries and
    linux-image-powerpc64
  * Added fix for qemu -device ?

 -- Hilko Bengen <bengen@debian.org>  Tue, 29 Apr 2014 23:43:02 +0200

libguestfs (1:1.26.1-1ubuntu1) utopic; urgency=medium

  * switch to Ubuntu kernel meta-package names.

 -- Andy Whitcroft <apw@canonical.com>  Mon, 28 Apr 2014 21:11:42 +0100

libguestfs (1:1.26.1-1) unstable; urgency=medium

  * New upstream version
  * Added patch for building with qemu 2+

 -- Hilko Bengen <bengen@debian.org>  Fri, 25 Apr 2014 19:58:12 +0200

libguestfs (1:1.26.0-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file

 -- Hilko Bengen <bengen@debian.org>  Fri, 28 Mar 2014 12:38:04 +0100

libguestfs (1:1.25.49-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Mar 2014 15:07:14 +0100

libguestfs (1:1.25.46-3) experimental; urgency=medium

  * Added patch to relax grub dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Mar 2014 13:10:16 +0100

libguestfs (1:1.25.46-2) experimental; urgency=medium

  * Automatically add appliance dependencies to libguestfs0

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Mar 2014 17:47:16 +0100

libguestfs (1:1.25.46-1) experimental; urgency=medium

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Fri, 21 Mar 2014 00:07:38 +0100

libguestfs (1:1.25.45-1) experimental; urgency=medium

  * New upstream development version
  * Fixed up build-dependencies so we can at least have a stab at building
    on !x86
  * Updated symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Mar 2014 23:40:35 +0100

libguestfs (1:1.25.43-3) experimental; urgency=medium

  * Fixed build-dependencies for non-x86 architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Mar 2014 23:16:45 +0100

libguestfs (1:1.25.43-2) experimental; urgency=medium

  * Ship libguestfs0 with supermin 5 appliance in /usr/lib/<multiarch> --
    no more update-libguestfs-appliance
  * Thanks to Richard W.M. Jones for providing the initial patch for that

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Mar 2014 15:52:46 +0100

libguestfs (1:1.25.43-1) experimental; urgency=low

  * New upstream development version
  * Updated patch queue; upstream now makes it possible (not the default)
    to disable the Gnulib tests.

 -- Hilko Bengen <bengen@debian.org>  Sat, 08 Mar 2014 18:17:22 +0100


