=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 # export DH_VERBOSE=1
+include /usr/share/dpkg/architecture.mk
 
 PYTHONS        := $(filter-out python2.5, $(shell pyversions --installed; py3versions --installed))
 PYTHON_DEFAULT := $(shell pyversions --default)
@@ -14,20 +15,29 @@
 		  $(filter-out $(LUA_DEFAULT), $(LUAS)) \
 		  default
 
-DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU | sed -e 's,i[456]86,i386,')
-QEMU_SYSTEM      := qemu-system-$(DEB_HOST_GNU_CPU)
+pkglist_to_deps := sed -e 's,iproute2\?,iproute2|iproute,;s,\(gfs-tools\|gfs2-tools\|gfs2-utils\),gfs2-utils|gfs2-tools|gfs-tools,'
+essential_deps  := grep -v '^\(bash\|coreutils\|e2fsprogs\|findutils\|grep\|gzip\|sed\|sysvinit\|tar\|util\-linux\)'
+
+QEMU_CPU := $(shell echo $(DEB_HOST_GNU_CPU) \
+		    | sed -e 's,i[456]86,i386,;s,sparc,sparc64,;s,powerpc64le,ppc64,;s,powerpc,ppc64,;s,arm.*,arm,')
+
+# Do not run "make quickcheck on these architectures
+# this requires a readable kernel image
+#QUICKCHECK_ARCHITECTURES := i386 amd64
 
 DEFAULT_CONFIG_FLAGS = \
-	--disable-appliance        \
+	--disable-silent-rules     \
+	--disable-gnulib-tests     \
 	--with-readline	           \
 	--disable-haskell          \
 	--disable-php	           \
 	--enable-gtk-doc           \
-	--with-qemu=$(QEMU_SYSTEM)
+	--with-qemu=qemu-system-$(QEMU_CPU) \
+	--with-supermin-extra-options='--use-installed'
 
 BARE_CONFIG_FLAGS = \
 	$(DEFAULT_CONFIG_FLAGS) \
-	--disable-daemon --disable-fuse \
+	--disable-fuse \
 	--disable-ocaml --disable-perl \
 	--disable-erlang --with-java=no \
 	--disable-gobject --without-java
@@ -92,19 +102,10 @@
 			   EXTRA_JAVAC_FLAGS+="-source 1.6 -target 1.6" ; \
 	done
 
-	# also build part of appliance
-	$(MAKE) -C $(CURDIR)/debian/build-default/appliance \
-		make.sh \
-		packagelist excludelist \
-		supermin.d/daemon.img.gz \
-		supermin.d/init.img \
-		supermin.d/udev-rules.img
-
 override_dh_auto_test:
-	set -e; for p in $(BUILDS); do \
-		dh_auto_test --builddir=$(CURDIR)/debian/build-$$p \
-			-- CFLAGS="$(filter-out -Werror=format-security,$(CFLAGS))"; \
-	done
+ifneq "" "$(findstring $(DEB_HOST_ARCH),$(QUICKCHECK_ARCHITECTURES))"
+	make -C $(CURDIR)/debian/build-default quickcheck
+endif
 
 override_dh_auto_install:
 # All build trees contain the library plus guestfish and C virt tools.
@@ -116,26 +117,48 @@
 	done
 
 override_dh_install:
-# We do not install supermin.d/base.img, but ship make.sh which can be
-# used to build it.
-	mkdir -p debian/tmp/usr/lib/guestfs/supermin.d
-	install -m755 debian/build-default/appliance/make.sh \
-		debian/tmp/usr/lib/guestfs
-	install -m644 debian/build-default/appliance/*list \
-		debian/tmp/usr/lib/guestfs
-	install -m644 \
-		debian/build-default/appliance/supermin.d/*.img* \
-		debian/tmp/usr/lib/guestfs/supermin.d/
+# Split the supermin appliance packages list into subpackages, so the
+# main libguestfs0 can avoid depending on everything.
+	cd $(CURDIR)/debian/tmp/usr/lib/*-*/guestfs/supermin.d && \
+	cp -n packages packages.orig; \
+	for p in gfs2 hfsplus jfs nilfs reiserfs rsync xfs zfs; do \
+	    sed -i -e "/$$p/d" packages; \
+	    grep -F  "$$p" < packages.orig > packages-$$p; \
+	done ; \
+	sed -i -e "/^\(iputils\|lsof\|openssh-server\|strace\|vim\)/d" packages; \
+	grep "^\(iputils\|lsof\|openssh-server\|strace\|vim\)" \
+	    < packages.orig > packages-rescue
 
 	erlang-depends -perlang-guestfs
 
-	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ \
-		--fail-missing
+	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -Xpackages.orig \
+	    --fail-missing
+
+# Add packages (except essential packages) from appliance packagelist
+# to libguestfs0 dependencies
+	for p in gfs2 hfsplus jfs nilfs reiserfs rescue rsync xfs zfs; \
+	do \
+	    echo -n 'appliance:Depends=' >> debian/libguestfs-$$p.substvars; \
+	    cat debian/libguestfs-$$p/usr/lib/*-*/guestfs/supermin.d/packages-$$p | \
+	    $(pkglist_to_deps) | \
+	    $(essential_deps) | \
+	    tr '\n' ',' >> debian/libguestfs-$$p.substvars; \
+	done
+
+	echo -n 'appliance:Depends=' >> debian/libguestfs0.substvars
+	cat debian/libguestfs0/usr/lib/*-*/guestfs/supermin.d/packages | \
+	$(pkglist_to_deps) | \
+	$(essential_deps) | \
+	tr '\n' ',' >> debian/libguestfs0.substvars; \
 
 override_dh_python3:
 	dh_python3 -p python3-guestfs
 override_dh_python2:
 	dh_python2 -p python-guestfs -V 2.6-
+override_dh_shlibdeps:
+	dh_shlibdeps
+# Add libraries needed by guestfsd to libguestfs0 dependencies
+	dh_shlibdeps -p libguestfs0 -- -e debian/guestfsd/usr/sbin/guestfsd
 
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"
