## libguestfs 1.26.8

=== debian/changelog ===
libguestfs (1:1.26.8-1) unstable; urgency=medium

  * New upstream version
  * Fix module-init-tools build-dependency
  * Added architecture-specific dependencies for arm64, ppc64el
  * Added libc-bin to essential packages expression

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 Aug 2014 01:26:57 +0200
