=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libguestfs
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9),
   dh-autoreconf,
@@ -11,15 +10,14 @@
   libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-dev, libvirt-dev,
   liblzma-dev, libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
-  systemtap-sdt-dev,
+  systemtap-sdt-dev [amd64 armel armhf i386 powerpc],
   libcap-dev, libacl1-dev, libyajl-dev, libsystemd-journal-dev,
   automake, autoconf, libtool,
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf],
-  qemu-system-aarch64 [arm64],
   qemu-system-mips [mips mipsel],
   qemu-system-misc [s390x],
-  qemu-system-ppc [powerpc ppc64 ppc64el],
+  qemu-system-ppc [powerpc],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   qemu-utils,
@@ -41,9 +39,15 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf],
 # for appliance
-  linux-image-generic [!powerpc !armhf],
-  linux-image-generic-lpae [armhf],
-  linux-image-powerpc64-smp [powerpc],
+  linux-image-versatile [armel],
+  linux-image-armmp [armhf],
+  linux-image-arm64 [arm64],
+  linux-image-4kc-malta [mips mipsel] | linux-image-5kc-malta [mips mipsel],
+  linux-image-s390x [s390x],
+  linux-image-powerpc64 [powerpc],
+  linux-image-powerpc64le [ppc64el],
+  linux-image-sparc64 [sparc],
+  linux-image-amd64 [amd64], linux-image-486 [i386] | linux-image-686-pae [i386],
   acl,
   attr,
   binutils,
@@ -60,7 +64,7 @@
   genisoimage,
   gfs2-utils,
 # gfs-tools,
-# grub2,
+  grub2 [i386 amd64 powerpc sparc],
   hfsplus,
   iproute2 | iproute,
   jfsutils,
@@ -78,7 +82,7 @@
   lvm2,
   lzop,
   mdadm,
-  module-init-tools,
+  kmod | module-init-tools,
   mtools,
   nilfs-tools,
   ntfs-3g,
@@ -98,7 +102,7 @@
   xfsprogs,
   xz-utils,
   zerofree,
-  zfs-fuse [armhf i386 amd64 powerpc ppc64el sparc],
+  zfs-fuse [i386 amd64 powerpc sparc],
 Homepage: http://libguestfs.org
 Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
@@ -154,10 +158,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
   supermin (>= 5),
   qemu-system-arm [armel armhf],
-  qemu-system-aarch64 [arm64],
   qemu-system-mips [mips mipsel],
   qemu-system-misc [s390x],
-  qemu-system-ppc [powerpc ppc64 ppc64el],
+  qemu-system-ppc [powerpc],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
   ${appliance:Depends},
@@ -387,7 +390,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
-Description: guest disk image management system - OCaml bindings
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
