=== debian/rules ===
--- 
+++ 
@@ -15,18 +15,16 @@
 		  $(filter-out $(LUA_DEFAULT), $(LUAS)) \
 		  default
 
-pkglist_to_deps := sed -e 's,iproute2\?,iproute2|iproute,;s,\(gfs-tools\|gfs2-tools\|gfs2-utils\),gfs2-utils|gfs2-tools|gfs-tools,'
-essential_deps  := grep -v '^\(bash\|coreutils\|e2fsprogs\|findutils\|grep\|gzip\|sed\|sysvinit\|tar\|util\-linux\)'
+pkglist_to_deps := sed -e 's,iproute2\?,iproute2|iproute,;s,\(gfs-tools\|gfs2-tools\|gfs2-utils\),gfs2-utils|gfs2-tools|gfs-tools,;s,\(kmod\|module-init-tools\),kmod | module-init-tools,'
+essential_deps  := grep -v '^\(bash\|coreutils\|e2fsprogs\|findutils\|grep\|gzip\|libc-bin\|sed\|sysvinit\|tar\|util\-linux\)'
 
 QEMU_CPU := $(shell echo $(DEB_HOST_GNU_CPU) \
-		    | sed -e 's,i[456]86,i386,;s,sparc,sparc64,;s,powerpc64le,ppc64,;s,powerpc,ppc64,;s,arm.*,arm,')
+		    | sed -e 's,i[456]86,i386,;s,sparc,sparc64,;s,powerpc,ppc64,;s,arm.*,arm,')
 
 # Do not run "make quickcheck on these architectures
-# this requires a readable kernel image
-#QUICKCHECK_ARCHITECTURES := i386 amd64
+QUICKCHECK_ARCHITECTURES := i386 amd64
 
 DEFAULT_CONFIG_FLAGS = \
-	--disable-silent-rules     \
 	--disable-gnulib-tests     \
 	--with-readline	           \
 	--disable-haskell          \
